from typing import Any, Dict, List, Optional, Union

from pydantic import AnyHttpUrl, BaseSettings, EmailStr, HttpUrl, validator


class Settings(BaseSettings):
    PROJECT_NAME: str = 'X数据分析后台'
    API_V1_STR: str = '/api/v1'

    ALLOW_ANONYMOUS: tuple = ('login','openapi.json')

    BACKEND_CORS_ORIGINS: List[str] = ['*']

    MYSQL_HOST: str = '127.0.0.1'
    MYSQL_PORT: int = 3306
    MYSQL_USER: str = 'root'
    MYSQL_PASSWORD: str = 'root'
    MYSQL_DB: str = 'xdata'

    SQLALCHEMY_DATABASE_URI = f'mysql+pymysql://{MYSQL_USER}:{MYSQL_PASSWORD}@{MYSQL_HOST}:{MYSQL_PORT}/{MYSQL_DB}'

    FIRST_EMAIL: str = '15392746632@qq.com'
    FIRST_SUPERUSER_PASSWORD: str = '123456'
    FIRST_NAME: str = 'root'

    ACCESS_TOKEN_EXPIRE_MINUTES: int = 60 * 24 * 8
    SECRET_KEY: str = 'ZaFX6EypK6PtuhGv11q4DLRvAb0csiLx4dbKUwLwCe8'

    class Config:
        case_sensitive = True


settings = Settings()
