from sqlalchemy.orm import Session
import crud, schemas
from core.config import settings
from db import base  # noqa: F401


def init_db(db: Session) -> None:
    user = crud.user.get_by_user(db, name=settings.FIRST_NAME)
    if not user:
        user_in = schemas.UserCreate(
            name=settings.FIRST_NAME,
            email=settings.FIRST_EMAIL,
            password=settings.FIRST_SUPERUSER_PASSWORD,
            is_superuser=True,
        )
        user = crud.user.create(db, obj_in=user_in)  # noqa: F841
