import datetime

from sqlalchemy import Boolean, Column, Integer, String, ForeignKey, DateTime, Enum
from sqlalchemy.orm import relationship, backref

from db.base_class import Base


class Authority(Base):
    id = Column(Integer, primary_key=True, index=True)
    user_id = Column(Integer, ForeignKey('user.id'))
    project_id = Column(Integer, ForeignKey('project.id'))
    dashboard_id = Column(Integer, ForeignKey('dashboard.id'))
    folder_id = Column(Integer, ForeignKey('folder.id'))
    space_id = Column(Integer, ForeignKey('space.id'))
    authority = Column(Enum('rw', 'r'))
    create_date = Column(DateTime, default=datetime.datetime.now())

    dashboard = relationship('Dashboard', backref="authority")
    folder = relationship('Folder', backref="authority")
    space = relationship('Space', backref="authority")
