import datetime
import uuid

from sqlalchemy import Boolean, Column, Integer, String, ForeignKey, DateTime
from sqlalchemy.orm import relationship

from db.base_class import Base


class Project(Base):
    id = Column(Integer, primary_key=True, index=True)
    app_id = Column(String, unique=True, default=uuid.uuid1().hex)
    name = Column(String)
    user_id = Column(Integer, ForeignKey('user.id'))
    create_date = Column(DateTime, default=datetime.datetime.now())

    # authority = relationship('Authority', backref="project", cascade="all, delete")

