from datetime import datetime

from pydantic import BaseModel, root_validator


class FolderBase(BaseModel):
    name: str = None


class FolderIn(FolderBase):
    project_id: int
    space_id: int = None
    name: str


class FolderDelete(BaseModel):
    id: int


class FolderCreate(FolderBase):
    name: str


class FolderUpdate(FolderBase):
    pass


class Folder(FolderBase):
    id: int
    name: str
    user_id: int
    create_date: datetime

    class Config:
        orm_mode = True
