from datetime import datetime

from pydantic import BaseModel


# 创建项目请求
class ProjectBase(BaseModel):
    name: str = None


class ProjectCreate(ProjectBase):
    name: str


class ProjectUpdate(ProjectBase):
    pass


class Project(ProjectBase):
    id: int
    app_id: str
    name: str
    user_id: int
    create_date: datetime

    class Config:
        orm_mode = True
