from datetime import datetime

from pydantic import BaseModel


class SpaceBase(BaseModel):
    name: str = None


class SpaceIn(SpaceBase):
    project_id: int
    name: str


class SpaceDelete(BaseModel):
    id: int


class SpaceCreate(SpaceBase):
    name: str


class SpaceUpdate(SpaceBase):
    pass


class Space(SpaceBase):
    id: int
    name: str
    user_id: int
    project_id: int
    create_date: datetime

    class Config:
        orm_mode = True
